用付款人数据执行拉取式收款(公开)
curl --request POST \
--url https://api.qbank.cl/platform/pay/{token}/collect \
--header 'Content-Type: application/json' \
--data '
{
"country": "VE",
"currency": "VES",
"method": "c2p",
"payer_document": "V12345678",
"payer_phone": "04141234567",
"payer_bank": "0102",
"otp": "123456"
}
'import requests
url = "https://api.qbank.cl/platform/pay/{token}/collect"
payload = {
"country": "VE",
"currency": "VES",
"method": "c2p",
"payer_document": "V12345678",
"payer_phone": "04141234567",
"payer_bank": "0102",
"otp": "123456"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
country: 'VE',
currency: 'VES',
method: 'c2p',
payer_document: 'V12345678',
payer_phone: '04141234567',
payer_bank: '0102',
otp: '123456'
})
};
fetch('https://api.qbank.cl/platform/pay/{token}/collect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/pay/{token}/collect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => 'VE',
'currency' => 'VES',
'method' => 'c2p',
'payer_document' => 'V12345678',
'payer_phone' => '04141234567',
'payer_bank' => '0102',
'otp' => '123456'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/pay/{token}/collect"
payload := strings.NewReader("{\n \"country\": \"VE\",\n \"currency\": \"VES\",\n \"method\": \"c2p\",\n \"payer_document\": \"V12345678\",\n \"payer_phone\": \"04141234567\",\n \"payer_bank\": \"0102\",\n \"otp\": \"123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/pay/{token}/collect")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"VE\",\n \"currency\": \"VES\",\n \"method\": \"c2p\",\n \"payer_document\": \"V12345678\",\n \"payer_phone\": \"04141234567\",\n \"payer_bank\": \"0102\",\n \"otp\": \"123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/pay/{token}/collect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"VE\",\n \"currency\": \"VES\",\n \"method\": \"c2p\",\n \"payer_document\": \"V12345678\",\n \"payer_phone\": \"04141234567\",\n \"payer_bank\": \"0102\",\n \"otp\": \"123456\"\n}"
response = http.request(request)
puts response.read_body{
"paid": true,
"status": "paid",
"status_message": "approved"
}
用付款人数据执行拉取式收款(公开)
deprecated
使用付款人在结账页面填写的数据执行已生成的拉取式选项的扣款 — 银行、证件号、电话或账户,以及 OTP(由付款人在其银行 App 中生成,或通过 POST /pay/{token}/collect/otp 请求并回传其 otp_reference)。 金额始终是生成支付选项时冻结的金额 — 付款人从不发送金额。若通道同步确认,链接在同一次调用 中完成结算(paid: true);平台会在调用 core/通道前对付款人执行 screening。PEP 或防火墙暂留返回 202 in_review 且不会扣款;批准只释放 审核,客户端使用相同的幂等上下文重试。超时或 5xx 会让 payin 保持 pending 并等待 webhook 对账,绝不会自动重发。只有证件的付款人以 document_value/idNumber 被 screening,与 name 分开。被拒绝不会 终结链接 — 付款人可以修正数据或改用其他方式。按 IP 严格限流。
POST
/
pay
/
{token}
/
collect
用付款人数据执行拉取式收款(公开)
curl --request POST \
--url https://api.qbank.cl/platform/pay/{token}/collect \
--header 'Content-Type: application/json' \
--data '
{
"country": "VE",
"currency": "VES",
"method": "c2p",
"payer_document": "V12345678",
"payer_phone": "04141234567",
"payer_bank": "0102",
"otp": "123456"
}
'import requests
url = "https://api.qbank.cl/platform/pay/{token}/collect"
payload = {
"country": "VE",
"currency": "VES",
"method": "c2p",
"payer_document": "V12345678",
"payer_phone": "04141234567",
"payer_bank": "0102",
"otp": "123456"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
country: 'VE',
currency: 'VES',
method: 'c2p',
payer_document: 'V12345678',
payer_phone: '04141234567',
payer_bank: '0102',
otp: '123456'
})
};
fetch('https://api.qbank.cl/platform/pay/{token}/collect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/pay/{token}/collect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => 'VE',
'currency' => 'VES',
'method' => 'c2p',
'payer_document' => 'V12345678',
'payer_phone' => '04141234567',
'payer_bank' => '0102',
'otp' => '123456'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/pay/{token}/collect"
payload := strings.NewReader("{\n \"country\": \"VE\",\n \"currency\": \"VES\",\n \"method\": \"c2p\",\n \"payer_document\": \"V12345678\",\n \"payer_phone\": \"04141234567\",\n \"payer_bank\": \"0102\",\n \"otp\": \"123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/pay/{token}/collect")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"VE\",\n \"currency\": \"VES\",\n \"method\": \"c2p\",\n \"payer_document\": \"V12345678\",\n \"payer_phone\": \"04141234567\",\n \"payer_bank\": \"0102\",\n \"otp\": \"123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/pay/{token}/collect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"VE\",\n \"currency\": \"VES\",\n \"method\": \"c2p\",\n \"payer_document\": \"V12345678\",\n \"payer_phone\": \"04141234567\",\n \"payer_bank\": \"0102\",\n \"otp\": \"123456\"\n}"
response = http.request(request)
puts response.read_body{
"paid": true,
"status": "paid",
"status_message": "approved"
}
路径参数
嵌入在 checkout_url 中的不透明结账令牌。
响应
收款尝试的结果。